﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace _99319
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Column 0", typeof(decimal));
            dt.Columns.Add("Column 1", typeof(decimal));
            dt.Columns.Add("Column 2", typeof(decimal));
            //dt.Columns.Add("Sum", typeof(decimal));
            Random rnd = new Random();
            
            for (int i = 0; i < 25; i++)
            {
                decimal v1 = (rnd.Next(1, 1000) * rnd.Next(1, 100)) / 100;
                decimal v2 = (rnd.Next(1, 1000) * v1) % 10000 / 100 ;
                decimal v3 = (rnd.Next(1, 1000) * v2) % 10000 / 100;

                dt.Rows.Add(v1, v2, v3);
            }
 ultraCombo1.DisplayMember = "Sum";

            ultraCombo1.DataSource = dt;
           
        }

        private void ultraCombo1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
           UltraGridColumn sum =  e.Layout.Bands[0].Columns.Add("Sum");
           sum.Formula = "sum( [Column 0] , [Column 1] , [Column 2] )";
           sum.Header.VisiblePosition = 3;

        }
    }
}
